=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.3~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               oxygen-icon-theme,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kcalutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalutils.git
Rules-Requires-Root: no

Package: libkf5calendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 5:5.99.0~),
         libkf5calendarutils5 (= ${binary:Version}),
         libkf5codecs-dev (>= 5.99.0~),
         libkf5config-dev (>= 5.99.0~),
         libkf5coreaddons-dev (>= 5.99.0~),
         libkf5i18n-dev (>= 5.99.0~),
         libkf5iconthemes-dev (>= 5.99.0~),
         libkf5identitymanagement-dev (>= 22.12.3~),
         libkf5widgetsaddons-dev (>= 5.99.0~),
         ${misc:Depends},
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkf5calendarutils5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
Provides: ${ABI:VirtualPackage},
