=== src/grantlee_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
     kpim_grantlee_adjust_plugin_name(kcalendar_grantlee_plugin)
     target_link_libraries(kcalendar_grantlee_plugin
         ${TEMPLATES_LIB}
-        KF5::IconThemes
-        KF5CalendarUtils
+        KF${KF_MAJOR_VERSION}::IconThemes
+        KPim${KF_MAJOR_VERSION}CalendarUtils
     )
     install(TARGETS kcalendar_grantlee_plugin
         LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}/grantlee/${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}/
@@ -29,10 +29,10 @@
     ktexttemplate_adjust_plugin_name(kcalendar_grantlee_plugin)
     target_link_libraries(kcalendar_grantlee_plugin
         ${TEMPLATES_LIB}
-        KF5::IconThemes
-        KF5CalendarUtils
+        KF${KF_MAJOR_VERSION}::IconThemes
+        KPim${KF_MAJOR_VERSION}CalendarUtils
     )
     install(TARGETS kcalendar_grantlee_plugin
-        LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}/KTextTemplate/${KF6TextTemplate_VERSION_MAJOR}.${KF6TextTemplate_VERSION_MINOR}/
+        LIBRARY DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/ktexttemplate/
     )
 endif()
