=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 23.08.4~),
+               libkf5pimtextedit-dev (>= 23.08.5~),
                libkf5textaddons-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
