=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kcalutils
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalutils
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalutils.git
